#!/bin/zsh

echo "Zipping up Dorico/VSTAudioEngine/SAM folders...\n"

exec 3>&1 >/dev/null
exec 2>&1 >/dev/null

rm -fr ~/Desktop/DoricoDiagnosticsReport.zip
rm -fr /tmp/DoricoDiagnosticsReport
mkdir /tmp/DoricoDiagnosticsReport
mkdir /tmp/DoricoDiagnosticsReport/Crashes

cp -r ~/Library/Application\ Support/Steinberg/Activation\ Manager  /tmp/DoricoDiagnosticsReport
cp -r ~/Library/Application\ Support/Steinberg/Dorico\ 4  /tmp/DoricoDiagnosticsReport
cp -r ~/Library/Preferences/Dorico\ 4\ AudioEngine  /tmp/DoricoDiagnosticsReport/VSTAudioEngine

cp ~/Library/Logs/DiagnosticReports/Dorico*.*  /tmp/DoricoDiagnosticsReport/Crashes
cp ~/Library/Logs/DiagnosticReports/VSTAudioEngine*.*  /tmp/DoricoDiagnosticsReport/Crashes
cp ~/Library/Logs/DiagnosticReports/Steinberg\ Activation\ Manager*.*  /tmp/DoricoDiagnosticsReport/Crashes

rm -fr /tmp/DoricoDiagnosticsReport/Dorico\ 4/AutoSave
rm -fr /tmp/DoricoDiagnosticsReport/Dorico\ 4/PlaybackTemplateSpecs

cd /tmp
zip -r ~/Desktop/DoricoDiagnosticsReport.zip ./DoricoDiagnosticsReport
rm -fr /tmp/DoricoDiagnosticsReport
exec >&3
exec >&1

echo "Done, wrote DoricoDiagnosticsReport.zip to your Desktop"
